Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739899 - bleachbit fails to install in Fedora rawhide
Summary: bleachbit fails to install in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bleachbit
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Audrey Yeena Toskin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:24 UTC by Miro Hrončok
Modified: 2019-08-31 07:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:24:37 UTC
bleachbit-2.2-2.fc31.noarch fails to install in Fedora rawhide:

  nothing provides gnome-python2 needed by bleachbit-2.2-2.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Audrey Yeena Toskin 2019-08-12 20:35:48 UTC
Weird. If it won't install because of missing dependencies, I should think it would also have failed to build in Koji :/

I may have to retire the package after all, but I'm hoping it won't come to that. I think the deadline for Python2 packages is January 2020? The Bleachbit team upstream is working on porting to GTK3 and Python3, but there's currently no estimate on when it will be ready.

Comment 2 Miro Hrončok 2019-08-12 20:44:48 UTC
> Weird. If it won't install because of missing dependencies, I should think it would also have failed to build in Koji :/

Maybe it doesn't build either, this install failure is new.

> I think the deadline for Python2 packages is January 2020?

mid November 2019 in Fedora 32, however this is not automatic Python 2 removal, this is a dependency being retired. You can still unretire the dependency if needed.

Comment 3 Ben Cotton 2019-08-13 16:57:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 17:04:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Audrey Yeena Toskin 2019-08-14 19:19:53 UTC
Hmm, I wasn't sure how to deal with this, since I don't want BleachBit removed from Fedora entirely, just for the distro releases where Python2 has been removed, and only until the BleachBit developers finish the Python3 conversion... So I filed an issue with releng on Pagure.

https://pagure.io/releng/issue/8636

Comment 6 Petr Viktorin 2019-08-15 10:37:34 UTC
The right place for this discussion is this bug.

Python 2 is not being removed right now. gnome-python2 was, but you should contact the maintainers rather than releng.  Releng monitors the FTBFS, but the *maintainers* should know how to make the package build. Also, releng is not removing Python 2 packages specifically -- it removes those that fail to build, or those that maintainers ask to be retired.
The gnome-python2 FTBFS bug is here: https://bugzilla.redhat.com/show_bug.cgi?id=1735278
From that bug, it seems that it doesn't have active maintainers. Do you want to take it and fix it?

Comment 7 Audrey Yeena Toskin 2019-08-16 19:03:13 UTC
I can take a look. I'm not sure why gnome-python2 is failing to build either, though.

Comment 8 Miro Hrončok 2019-08-21 15:46:57 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 9 Audrey Yeena Toskin 2019-08-21 21:41:34 UTC
I commented on Bug #1735278 about how I can't figure out why gnome-python2 is failing to build... But I just came up with one theory: It seems to me like fedpkg is looking for a file directly under %{buildroot}, even though the paths are prefixed with %{python2_sitearch}. So, could %{python2_sitearch} be parsing as an empty string because the variable was deleted?

Would that need to be re-added to the spec for it to work?

Comment 10 Miro Hrončok 2019-08-26 09:11:03 UTC
(In reply to Andrew Toskin from comment #9)
> I commented on Bug #1735278 about how I can't figure out why gnome-python2
> is failing to build... But I just came up with one theory: It seems to me
> like fedpkg is looking for a file directly under %{buildroot}, even though
> the paths are prefixed with %{python2_sitearch}. So, could
> %{python2_sitearch} be parsing as an empty string because the variable was
> deleted?
> 
> Would that need to be re-added to the spec for it to work?

Is this in?

BuildRequires: python2-devel

Anyway, please answer: Let me know if this package shall not be retired yet.

Comment 11 Audrey Yeena Toskin 2019-08-26 19:31:47 UTC
In the gnome-python2 spec (when checking out commit cf0ce31, from before it was retired), I see

  BuildRequires: python2-devel >= %{python_version}

with

  %define python_version  2.3.0

So that doesn't seem to be the problem.

I don't really *want* to retire the package, especially if it will likely mean having to do a new package review when the upstream finally finishes porting to Python 3. But unless we can make an exception for all of BleachBit's Python 2 dependencies, *and* figure out how to get `gnome-python2` building again, I figured retiring it would be necessary.

You'd probably know better than me what's best in this situation.

Comment 12 Miro Hrončok 2019-08-26 21:57:01 UTC
I'd retire it. You can ping me for the package review when the tme comes and I gladly help you.

Comment 13 Audrey Yeena Toskin 2019-08-27 16:45:01 UTC
Okay, I agree. I'll let the package automatically retire, and in the meanwhile keep an eye on the upstream.

Comment 14 Miro Hrončok 2019-08-28 11:52:16 UTC
Retired the package in master and f31. Let me know once it is ready for re-review.

Comment 15 Miro Hrončok 2019-08-30 11:57:07 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 16 Adam Williamson 2019-08-30 16:14:16 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 17 Miro Hrončok 2019-08-31 07:39:11 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.